Kubernetes
action Network

# remove_allow_dns_access

Remove DNS access from pods

Run it now
View details

Type | action
Module | chaosk8s.networking.actions
Name | remove_allow_dns_access
Return | none

Usage

JSON

    {
      "name": "remove-allow-dns-access",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.networking.actions",
        "func": "remove_allow_dns_access"
      }
    }

YAML

    name: remove-allow-dns-access
    provider:
      func: remove_allow_dns_access
      module: chaosk8s.networking.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | ”default” | Yes | Namespace |

Remove the rule that allowed DNS access.

Signature

    def remove_allow_dns_access(ns: str = 'default',
                                secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  action Network

  ## `reorder_packets`

  Re-order packets on a Pod's network link
- Kubernetes
  action Network

  ## `allow_dns_access`

  Allow DNS access from pods
- Kubernetes
  action Network

  ## `add_latency`

  Add latency to a network link of a Pod